import numpy as np
import matplotlib.pyplot as plt

fig, ax = plt.subplots(1, 1)
a = np.linspace(-10, 10, 1000)
g = (1+a)*(a>=0) + 1/(1-a)*(a<0)
ax.plot(a, np.log(g))
ax.set_xlabel('$a _ t ^ {\\left( i \\right)}}$')
ax.set_ylabel('$ln \\left( \\frac{c _ {t+1} ^ {\\left( i \\right) } }{c _ t ^ {\\left( i \\right)}} \\right)$')
ax.grid()
fig.tight_layout()
fig.savefig('png_img/gain_action.png')